### A free/open-source library for quantitative finance

Public Member Functions
AnalyticContinuousFixedLookbackEngine Class Reference

Pricing engine for European continuous fixed-strike lookback. More...

`#include <ql/pricingengines/lookback/analyticcontinuousfixedlookback.hpp>`

Inheritance diagram for AnalyticContinuousFixedLookbackEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticContinuousFixedLookbackEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for European continuous fixed-strike lookback.

Formula from "Option Pricing Formulas", E.G. Haug, McGraw-Hill, 1998, p.63-64

Tests:
  returned values are verified against results from literature